Package: kde4libs / 4:4.14.2-5+deb8u2

qt4_designer_plugins_path.diff Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
Index: kde4libs/kdewidgets/CMakeLists.txt
===================================================================
--- kde4libs.orig/kdewidgets/CMakeLists.txt	2013-12-09 18:37:13.198890655 -0300
+++ kde4libs/kdewidgets/CMakeLists.txt	2013-12-09 18:50:29.870518988 -0300
@@ -54,7 +54,7 @@
                          )
   endif(NOT WIN32)
 
-  install(TARGETS kdewidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
+  install(TARGETS kdewidgets  DESTINATION /usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt4/plugins/designer )
 
   # deprecated widgets
   if(NOT KDE_NO_DEPRECATED)
@@ -83,7 +83,7 @@
                            )
     endif(NOT WIN32)
 
-    install(TARGETS kdedeprecated  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
+    install(TARGETS kdedeprecated  DESTINATION /usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt4/plugins/designer )
   endif(NOT KDE_NO_DEPRECATED)
 
 
@@ -117,7 +117,7 @@
                          )
   endif(NOT WIN32)
 
-  install(TARGETS kdewebkitwidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
+  install(TARGETS kdewebkitwidgets  DESTINATION /usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt4/plugins/designer )
 
 
   if (QT_QT3SUPPORT_FOUND)
@@ -152,7 +152,7 @@
                              )
      endif(NOT WIN32)
 
-     install(TARGETS kde3supportwidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
+     install(TARGETS kde3supportwidgets  DESTINATION /usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt4/plugins/designer )
   endif (QT_QT3SUPPORT_FOUND)
 endif (QT_QTDESIGNER_FOUND)